
Application: gvSIG desktop - gvSIG bugs #1987
Rasterize result shifted
08/07/2013 04:14 PM - Manuel Madrid

Status: Won't fix % Done: 0%
Priority: Low Spent time: 0.00 hour
Assignee:
Category: Geoprocess
Target version:
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2066 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Sextante Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

The result layer of rasterizing a vector layer is shifted from the original one.

1. Load a vector layer (e.g. the attached one)
2. Open the geoprocess toolbox
3. Run the algorithm: Sextante > Rasterization and interpolation > Rasterize vector layer
4. Select the layer loaded
5. Select volume as Field
6. Select an output layer
7. In the second tab: Select "Use extent from layer" 
8. Type "10" as cell size.
9. Ok.
10. Make zoom over a small area and check that pixels doesn't exactly match the polygon contours of the original vector layer (see
attached screenshot).

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3096: Problems using Uns... New 01/07/2015
Related to Application: gvSIG desktop - gvSIG bugs # 2981: Theres's a displac... Invalid 11/07/2014

History
#1 - 01/13/2014 12:34 PM - Álvaro Anguix
- Assignee set to Ignacio Brodín

#2 - 01/16/2014 01:20 PM - Álvaro Anguix
- Target version set to 2.1.0-2219-testing

#3 - 01/23/2014 11:59 AM - Ignacio Brodín
- File rodales_mult.png added

#4 - 01/23/2014 12:03 PM - Ignacio Brodín

El algoritmo rasteriza polígonos asignando a la capa de salida un valor de un campo del polígono en el que cae cada píxel. El problema está en la
resolución de la imagen que seleccionas de salida. Si la resolución es muy grande como el caso de la captura, el algoritmo solo pone un pixel si el
pixel cae en su mayor parte dentro. A medida que aumentamos la resolución de la salida los píxeles son más pequeños y ajusta más. Te adjunto una
captura con el ejemplo que has pasado con resoluciones de 10, 3 y 1.5 mtrs por pixel. En ella se ve como ajusta más para resoluciones mayores.
#5 - 01/23/2014 12:05 PM - Ignacio Brodín

Perdón, he dicho que el píxel cae en su mayor parte dentro y lo que tenia que haber dicho es que la esquina superior izquierda del píxel cae dentro.

#6 - 01/23/2014 12:06 PM - Ignacio Brodín
- Status changed from New to Awaiting response

#7 - 01/23/2014 12:51 PM - Manuel Madrid

Hola Nacho.

Si lo entiendo bien podemos afirmar que:

1. Siempre va a haber un desfase.
2. El desfase depende directamente del parámetro cell size.
3. El desfase es mayor o igual que el parámetro cell size.
4. No es un fallo sino una característica.

No obstante el hecho de que se tome como referencia la esquina superior izquierda del pixel entiendo que introduce un mayor desfase que si fuera el
centro, ¿no? Otra cosa es que se pueda o sea fácil hacerlo.

Saludos,
Manuel.

#8 - 01/23/2014 05:33 PM - Ignacio Brodín
- Status changed from Awaiting response to New
- Priority changed from Normal to Low

#9 - 01/23/2014 06:09 PM - Álvaro Anguix
- Target version deleted (2.1.0-2219-testing)

#10 - 02/20/2014 06:55 PM - Álvaro Anguix
- Target version set to 2.2.0-2311-rc2

#11 - 04/04/2014 10:37 AM - Álvaro Anguix
- Assignee deleted (Ignacio Brodín)

#12 - 01/08/2015 01:10 PM - Álvaro Anguix
- Related to gvSIG bugs #3096: Problems using Unsupervised Classification added

#13 - 01/28/2015 12:05 PM - Álvaro Anguix
- Target version deleted (2.2.0-2311-rc2)

#14 - 03/02/2015 10:56 AM - Álvaro Anguix
- Related to gvSIG bugs #2981: Theres's a displacement at the output image using clip raster tool added

#15 - 04/10/2020 02:12 PM - Álvaro Anguix
- Status changed from New to Won't fix
desplazamiento_rasterize.png 77.7 KB 08/07/2013 Manuel Madrid
rodales.zip 4.37 KB 08/07/2013 Manuel Madrid
rodales_mult.png 37.7 KB 01/23/2014 Ignacio Brodín
